#include <windows.h>
#include "SLABCP2112.h"

class CP2112_I2C {

protected:
	HID_SMBUS_DEVICE  m_hidSmbus;
	HID_SMBUS_DEVICE* m_pHidSmbus;
	DWORD		m_bitRate = 0;
	BYTE		m_ackAddress = 0;
	BOOL		m_autoRespond = FALSE;
	WORD		m_writeTimeout = 0;
	WORD		m_readTimeout = 0;
	WORD		m_transferRetries = 0;
	BOOL		m_sclLowTimeout = FALSE;
	DWORD		m_responseTimeout = 0;

	//BYTE		m_slaveAddress = 0;
	WORD		m_bytesToRead = 0;
	BYTE		m_addressedSlaveAddress = 0;
	BYTE		m_targetAddressSize = 0;
	//CString		m_targetAddressString;
	WORD		m_addressedBytesToRead = 0;
	WORD		m_forceBytesToRead = 0;
	//CString		m_receiveData;
	//CString		m_transmitData;
	//BYTE		m_writeSlaveAddress = 0;

public:
	void DispLibVer(HWND hWnd);
	void DispDev(HWND hWnd);
	void ConnectDev(HWND hWnd);
	void DisconnectDev(HWND hWnd);
	void I2cRead(HWND hWnd);
	void I2cWrite(HWND hWnd);
	void PWM_Set(HWND hWnd);

};

TCHAR* HidSmbus_DecodeErrorStatus(HID_SMBUS_STATUS status);

