﻿// CP2112_TEST1.cpp : アプリケーションのエントリ ポイントを定義します。
//

#include "framework.h"
#include "CP2112_TEST2.h"

#define MAX_LOADSTRING 100

#pragma comment(lib, "SLABHIDtoSMBus.lib")

// グローバル変数:
HINSTANCE hInst;                                // 現在のインターフェイス
WCHAR szTitle[MAX_LOADSTRING];                  // タイトル バーのテキスト
WCHAR szWindowClass[MAX_LOADSTRING];            // メイン ウィンドウ クラス名
CP2112_I2C Cp2112;

// このコード モジュールに含まれる関数の宣言を転送します:
BOOL CALLBACK DlgWndProc(HWND, UINT, WPARAM, LPARAM);

int APIENTRY wWinMain(_In_ HINSTANCE hInstance,
    _In_opt_ HINSTANCE hPrevInstance,
    _In_ LPWSTR    lpCmdLine,
    _In_ int       nCmdShow)
{
    UNREFERENCED_PARAMETER(hPrevInstance);
    UNREFERENCED_PARAMETER(lpCmdLine);

    //DialogBoxの表示
    DialogBox(hInstance, MAKEINTRESOURCE(IDD_DIALOG1), NULL, (DLGPROC)DlgWndProc);

    return 0;
}

BOOL CALLBACK DlgWndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{

    switch (message)
    {
    case WM_INITDIALOG:
        Cp2112.DispLibVer(hWnd);
        return TRUE;
    case WM_COMMAND:
        switch (LOWORD(wParam))
        {
        case IDC_BTN_DETDEV:
            Cp2112.DispDev(hWnd);
            return TRUE;
        case IDC_BTN_CONNECT:
            Cp2112.ConnectDev(hWnd);
            return TRUE;
        case IDC_BTN_READ:
            Cp2112.I2cRead(hWnd);
            return TRUE;
        case IDC_BTN_WRITE:
            Cp2112.I2cWrite(hWnd);
            return TRUE;
        case IDC_BTN_PWMSET:
            Cp2112.PWM_Set(hWnd);
            return TRUE;
        case IDCANCEL:
            Cp2112.DisconnectDev(hWnd);
            EndDialog(hWnd, 0);
            return TRUE;
        default:
            return FALSE;
        }
    default:
        return FALSE;
    }


}


